<?php
$tdataHO___Calls_Report=array();
	$tdataHO___Calls_Report[".NumberOfChars"]=80; 
	$tdataHO___Calls_Report[".ShortName"]="HO___Calls_Report";
	$tdataHO___Calls_Report[".OwnerID"]="";
	$tdataHO___Calls_Report[".OriginalTable"]="calls";


	
//	field labels
$fieldLabelsHO___Calls_Report = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsHO___Calls_Report["English"]=array();
	$fieldToolTipsHO___Calls_Report["English"]=array();
	$fieldLabelsHO___Calls_Report["English"]["Date"] = "Date";
	$fieldToolTipsHO___Calls_Report["English"]["Date"] = "";
	$fieldLabelsHO___Calls_Report["English"]["Call_Details"] = "Call Details";
	$fieldToolTipsHO___Calls_Report["English"]["Call Details"] = "";
	$fieldLabelsHO___Calls_Report["English"]["Executive_Name"] = "Executive Name";
	$fieldToolTipsHO___Calls_Report["English"]["Executive Name"] = "";
	$fieldLabelsHO___Calls_Report["English"]["Customer_Name"] = "Customer Name";
	$fieldToolTipsHO___Calls_Report["English"]["Customer Name"] = "";
	$fieldLabelsHO___Calls_Report["English"]["No_of_Calls"] = "No of Calls";
	$fieldToolTipsHO___Calls_Report["English"]["No of Calls"] = "";
	$fieldLabelsHO___Calls_Report["English"]["Customer_Status"] = "Customer Status";
	$fieldToolTipsHO___Calls_Report["English"]["Customer Status"] = "";
	$fieldLabelsHO___Calls_Report["English"]["Region"] = "Region";
	$fieldToolTipsHO___Calls_Report["English"]["Region"] = "";
	if (count($fieldToolTipsHO___Calls_Report["English"])){
		$tdataHO___Calls_Report[".isUseToolTips"]=true;
	}
}


	
	$tdataHO___Calls_Report[".NCSearch"]=true;

	

$tdataHO___Calls_Report[".shortTableName"] = "HO___Calls_Report";
$tdataHO___Calls_Report[".nSecOptions"] = 0;
$tdataHO___Calls_Report[".recsPerRowList"] = 1;	
$tdataHO___Calls_Report[".tableGroupBy"] = "1";
$tdataHO___Calls_Report[".mainTableOwnerID"] = "";
$tdataHO___Calls_Report[".moveNext"] = 1;




$tdataHO___Calls_Report[".showAddInPopup"] = false;

$tdataHO___Calls_Report[".showEditInPopup"] = false;

$tdataHO___Calls_Report[".showViewInPopup"] = false;


$tdataHO___Calls_Report[".fieldsForRegister"] = array();

$tdataHO___Calls_Report[".listAjax"] = false;

	$tdataHO___Calls_Report[".audit"] = false;

	$tdataHO___Calls_Report[".locking"] = false;
	
$tdataHO___Calls_Report[".listIcons"] = true;
$tdataHO___Calls_Report[".edit"] = true;
$tdataHO___Calls_Report[".inlineEdit"] = true;
$tdataHO___Calls_Report[".view"] = true;

$tdataHO___Calls_Report[".exportTo"] = true;

$tdataHO___Calls_Report[".printFriendly"] = true;

$tdataHO___Calls_Report[".delete"] = true;

$tdataHO___Calls_Report[".showSimpleSearchOptions"] = false;

$tdataHO___Calls_Report[".showSearchPanel"] = true;


$tdataHO___Calls_Report[".isUseAjaxSuggest"] = true;



// button handlers file names

$tdataHO___Calls_Report[".addPageEvents"] = false;


// use datepicker for search panel
$tdataHO___Calls_Report[".isUseCalendarForSearch"] = true;

// use timepicker for search panel
$tdataHO___Calls_Report[".isUseTimeForSearch"] = false;

$tdataHO___Calls_Report[".isUseiBox"] = false;



$tdataHO___Calls_Report[".isUseInlineJs"] = $tdataHO___Calls_Report[".isUseInlineAdd"] || $tdataHO___Calls_Report[".isUseInlineEdit"];

$tdataHO___Calls_Report[".allSearchFields"] = array();

$tdataHO___Calls_Report[".globSearchFields"][] = "No of Calls";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("No of Calls", $tdataHO___Calls_Report[".allSearchFields"]))
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "No of Calls";	
}
$tdataHO___Calls_Report[".globSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataHO___Calls_Report[".allSearchFields"]))
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Date";	
}
$tdataHO___Calls_Report[".globSearchFields"][] = "Call Details";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Call Details", $tdataHO___Calls_Report[".allSearchFields"]))
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Call Details";	
}
$tdataHO___Calls_Report[".globSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataHO___Calls_Report[".allSearchFields"]))
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Executive Name";	
}
$tdataHO___Calls_Report[".globSearchFields"][] = "Customer Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Name", $tdataHO___Calls_Report[".allSearchFields"]))
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Customer Name";	
}
$tdataHO___Calls_Report[".globSearchFields"][] = "Customer Status";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Status", $tdataHO___Calls_Report[".allSearchFields"]))
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Customer Status";	
}
$tdataHO___Calls_Report[".globSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataHO___Calls_Report[".allSearchFields"]))
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Region";	
}


$tdataHO___Calls_Report[".googleLikeFields"][] = "No of Calls";
$tdataHO___Calls_Report[".googleLikeFields"][] = "Date";
$tdataHO___Calls_Report[".googleLikeFields"][] = "Call Details";
$tdataHO___Calls_Report[".googleLikeFields"][] = "Executive Name";
$tdataHO___Calls_Report[".googleLikeFields"][] = "Customer Name";
$tdataHO___Calls_Report[".googleLikeFields"][] = "Customer Status";
$tdataHO___Calls_Report[".googleLikeFields"][] = "Region";

$tdataHO___Calls_Report[".panelSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataHO___Calls_Report[".allSearchFields"])) 
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Date";	
}


$tdataHO___Calls_Report[".advSearchFields"][] = "No of Calls";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("No of Calls", $tdataHO___Calls_Report[".allSearchFields"])) 
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "No of Calls";	
}
$tdataHO___Calls_Report[".advSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataHO___Calls_Report[".allSearchFields"])) 
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Date";	
}
$tdataHO___Calls_Report[".advSearchFields"][] = "Call Details";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Call Details", $tdataHO___Calls_Report[".allSearchFields"])) 
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Call Details";	
}
$tdataHO___Calls_Report[".advSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataHO___Calls_Report[".allSearchFields"])) 
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Executive Name";	
}
$tdataHO___Calls_Report[".advSearchFields"][] = "Customer Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Name", $tdataHO___Calls_Report[".allSearchFields"])) 
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Customer Name";	
}
$tdataHO___Calls_Report[".advSearchFields"][] = "Customer Status";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Status", $tdataHO___Calls_Report[".allSearchFields"])) 
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Customer Status";	
}
$tdataHO___Calls_Report[".advSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataHO___Calls_Report[".allSearchFields"])) 
{
	$tdataHO___Calls_Report[".allSearchFields"][] = "Region";	
}

$tdataHO___Calls_Report[".isTableType"] = "report";

$tdataHO___Calls_Report[".reportGroupFields"] = true;

	

$tdataHO___Calls_Report[".isDisplayLoading"] = true;

$tdataHO___Calls_Report[".isResizeColumns"] = false;


$tdataHO___Calls_Report[".noRecordsFirstPage"] = true;




$gstrOrderBy = "";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataHO___Calls_Report[".strOrderBy"] = $gstrOrderBy;
	
$tdataHO___Calls_Report[".orderindexes"] = array();

$tdataHO___Calls_Report[".sqlHead"] = "SELECT COUNT(calls.idCalls) AS `No of Calls`,  Date(Date) AS `Date`,  calls.`Call Details`,  calls.`Executive Name`,  calls.`Customer Name`,  customer_list.`Customer Status`,  customer_list.Region";
$tdataHO___Calls_Report[".sqlFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$tdataHO___Calls_Report[".sqlWhereExpr"] = "";
$tdataHO___Calls_Report[".sqlTail"] = "GROUP BY Date(Date), calls.`Call Details`, calls.`Executive Name`, calls.`Customer Name`";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataHO___Calls_Report[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataHO___Calls_Report[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tdataHO___Calls_Report[".Keys"] = $tableKeys;

//	No of Calls
	$fdata = array();
	$fdata["strName"] = "No of Calls";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 3;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "No_of_Calls";
	
		$fdata["FullName"]= "COUNT(calls.idCalls)";
	
		
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Report["No of Calls"]=$fdata;
//	Date
	$fdata = array();
	$fdata["strName"] = "Date";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 135;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Date";
	$fdata["ViewFormat"]= "Short Date";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Date";
	
		$fdata["FullName"]= "Date(Date)";
	
		
		
		
		
		
				$fdata["Index"]= 2;
		$fdata["DateEditType"] = 13; 
	$fdata["InitialYearFactor"] = 100; 
	$fdata["LastYearFactor"] = 10; 
			
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Report["Date"]=$fdata;
//	Call Details
	$fdata = array();
	$fdata["strName"] = "Call Details";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Call_Details";
	
		$fdata["FullName"]= "calls.`Call Details`";
	
		
		
		
		
		
				$fdata["Index"]= 3;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=150";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Report["Call Details"]=$fdata;
//	Executive Name
	$fdata = array();
	$fdata["strName"] = "Executive Name";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Executive_Name";
	
		$fdata["FullName"]= "calls.`Executive Name`";
	
		
		
		
		
		
				$fdata["Index"]= 4;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Report["Executive Name"]=$fdata;
//	Customer Name
	$fdata = array();
	$fdata["strName"] = "Customer Name";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Name";
	
		$fdata["FullName"]= "calls.`Customer Name`";
	
		
		
		
		
		
				$fdata["Index"]= 5;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=100";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Report["Customer Name"]=$fdata;
//	Customer Status
	$fdata = array();
	$fdata["strName"] = "Customer Status";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Status";
	
		$fdata["FullName"]= "customer_list.`Customer Status`";
	
		
		
		
		
		
				$fdata["Index"]= 6;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Report["Customer Status"]=$fdata;
//	Region
	$fdata = array();
	$fdata["strName"] = "Region";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Region";
	
		$fdata["FullName"]= "customer_list.Region";
	
		
		
		
		
		
				$fdata["Index"]= 7;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Report["Region"]=$fdata;

	
$tables_data["HO - Calls Report"]=&$tdataHO___Calls_Report;
$field_labels["HO___Calls_Report"] = &$fieldLabelsHO___Calls_Report;
$fieldToolTips["HO - Calls Report"] = &$fieldToolTipsHO___Calls_Report;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["HO - Calls Report"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["HO - Calls Report"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto53=array();
$proto53["m_strHead"] = "SELECT";
$proto53["m_strFieldList"] = "COUNT(calls.idCalls) AS `No of Calls`,  Date(Date) AS `Date`,  calls.`Call Details`,  calls.`Executive Name`,  calls.`Customer Name`,  customer_list.`Customer Status`,  customer_list.Region";
$proto53["m_strFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$proto53["m_strWhere"] = "";
$proto53["m_strOrderBy"] = "";
$proto53["m_strTail"] = "GROUP BY Date(Date), calls.`Call Details`, calls.`Executive Name`, calls.`Customer Name`";
$proto54=array();
$proto54["m_sql"] = "";
$proto54["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto54["m_column"]=$obj;
$proto54["m_contained"] = array();
$proto54["m_strCase"] = "";
$proto54["m_havingmode"] = "0";
$proto54["m_inBrackets"] = "0";
$proto54["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto54);

$proto53["m_where"] = $obj;
$proto56=array();
$proto56["m_sql"] = "";
$proto56["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto56["m_column"]=$obj;
$proto56["m_contained"] = array();
$proto56["m_strCase"] = "";
$proto56["m_havingmode"] = "0";
$proto56["m_inBrackets"] = "0";
$proto56["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto56);

$proto53["m_having"] = $obj;
$proto53["m_fieldlist"] = array();
						$proto58=array();
			$proto59=array();
$proto59["m_functiontype"] = "SQLF_COUNT";
$proto59["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "idCalls",
	"m_strTable" => "calls"
));

$proto59["m_arguments"][]=$obj;
$proto59["m_strFunctionName"] = "COUNT";
$obj = new SQLFunctionCall($proto59);

$proto58["m_expr"]=$obj;
$proto58["m_alias"] = "No of Calls";
$obj = new SQLFieldListItem($proto58);

$proto53["m_fieldlist"][]=$obj;
						$proto61=array();
			$proto62=array();
$proto62["m_functiontype"] = "SQLF_CUSTOM";
$proto62["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto62["m_arguments"][]=$obj;
$proto62["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto62);

$proto61["m_expr"]=$obj;
$proto61["m_alias"] = "Date";
$obj = new SQLFieldListItem($proto61);

$proto53["m_fieldlist"][]=$obj;
						$proto64=array();
			$obj = new SQLField(array(
	"m_strName" => "Call Details",
	"m_strTable" => "calls"
));

$proto64["m_expr"]=$obj;
$proto64["m_alias"] = "";
$obj = new SQLFieldListItem($proto64);

$proto53["m_fieldlist"][]=$obj;
						$proto66=array();
			$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto66["m_expr"]=$obj;
$proto66["m_alias"] = "";
$obj = new SQLFieldListItem($proto66);

$proto53["m_fieldlist"][]=$obj;
						$proto68=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto68["m_expr"]=$obj;
$proto68["m_alias"] = "";
$obj = new SQLFieldListItem($proto68);

$proto53["m_fieldlist"][]=$obj;
						$proto70=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto70["m_expr"]=$obj;
$proto70["m_alias"] = "";
$obj = new SQLFieldListItem($proto70);

$proto53["m_fieldlist"][]=$obj;
						$proto72=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "customer_list"
));

$proto72["m_expr"]=$obj;
$proto72["m_alias"] = "";
$obj = new SQLFieldListItem($proto72);

$proto53["m_fieldlist"][]=$obj;
$proto53["m_fromlist"] = array();
												$proto74=array();
$proto74["m_link"] = "SQLL_MAIN";
			$proto75=array();
$proto75["m_strName"] = "calls";
$proto75["m_columns"] = array();
$proto75["m_columns"][] = "idCalls";
$proto75["m_columns"][] = "Date";
$proto75["m_columns"][] = "Call Details";
$proto75["m_columns"][] = "Executive Name";
$proto75["m_columns"][] = "Customer Name";
$obj = new SQLTable($proto75);

$proto74["m_table"] = $obj;
$proto74["m_alias"] = "";
$proto76=array();
$proto76["m_sql"] = "";
$proto76["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto76["m_column"]=$obj;
$proto76["m_contained"] = array();
$proto76["m_strCase"] = "";
$proto76["m_havingmode"] = "0";
$proto76["m_inBrackets"] = "0";
$proto76["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto76);

$proto74["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto74);

$proto53["m_fromlist"][]=$obj;
												$proto78=array();
$proto78["m_link"] = "SQLL_INNERJOIN";
			$proto79=array();
$proto79["m_strName"] = "customer_list";
$proto79["m_columns"] = array();
$proto79["m_columns"][] = "idCL";
$proto79["m_columns"][] = "Created on";
$proto79["m_columns"][] = "Region";
$proto79["m_columns"][] = "Customer Name";
$proto79["m_columns"][] = "Address";
$proto79["m_columns"][] = "City";
$proto79["m_columns"][] = "State";
$proto79["m_columns"][] = "Country";
$proto79["m_columns"][] = "Postal Code";
$proto79["m_columns"][] = "Web address";
$proto79["m_columns"][] = "Area";
$proto79["m_columns"][] = "Customer_Category";
$proto79["m_columns"][] = "Breif About the Company";
$proto79["m_columns"][] = "Existing Setup";
$proto79["m_columns"][] = "Interaction Summary";
$proto79["m_columns"][] = "Commercial Summary";
$proto79["m_columns"][] = "Customer Status";
$proto79["m_columns"][] = "Assigned Executive";
$proto79["m_columns"][] = "Assigned Date";
$proto79["m_columns"][] = "Last Updated on";
$obj = new SQLTable($proto79);

$proto78["m_table"] = $obj;
$proto78["m_alias"] = "";
$proto80=array();
$proto80["m_sql"] = "calls.`Customer Name` = customer_list.`Customer Name`";
$proto80["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto80["m_column"]=$obj;
$proto80["m_contained"] = array();
$proto80["m_strCase"] = "= customer_list.`Customer Name`";
$proto80["m_havingmode"] = "0";
$proto80["m_inBrackets"] = "0";
$proto80["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto80);

$proto78["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto78);

$proto53["m_fromlist"][]=$obj;
$proto53["m_groupby"] = array();
												$proto82=array();
						$proto83=array();
$proto83["m_functiontype"] = "SQLF_CUSTOM";
$proto83["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto83["m_arguments"][]=$obj;
$proto83["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto83);

$proto82["m_column"]=$obj;
$obj = new SQLGroupByItem($proto82);

$proto53["m_groupby"][]=$obj;
												$proto85=array();
						$obj = new SQLField(array(
	"m_strName" => "Call Details",
	"m_strTable" => "calls"
));

$proto85["m_column"]=$obj;
$obj = new SQLGroupByItem($proto85);

$proto53["m_groupby"][]=$obj;
												$proto87=array();
						$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto87["m_column"]=$obj;
$obj = new SQLGroupByItem($proto87);

$proto53["m_groupby"][]=$obj;
												$proto89=array();
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto89["m_column"]=$obj;
$obj = new SQLGroupByItem($proto89);

$proto53["m_groupby"][]=$obj;
$proto53["m_orderby"] = array();
$obj = new SQLQuery($proto53);

$queryData_HO___Calls_Report = $obj;
$tdataHO___Calls_Report[".sqlquery"] = $queryData_HO___Calls_Report;

$tableEvents["HO - Calls Report"] = new eventsBase;

?>
